> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitawallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# User

> VITA provides this module to check if there is a registered user on Vita Wallet with a specific email address. Additionally, it allows you to know the status of the user and whether they can receive money or not.



## OpenAPI

````yaml /openapi.yaml get /api/businesses/vita_users
openapi: 3.0.0
info:
  title: Vita Business API
  description: >-
    Vita Wallet Business API — integra payins, payouts, exchange, transactions,
    users y webhooks para operar pagos en LatAm y el mundo.
  version: 1.0.0
  contact:
    name: Vita Wallet Support
    url: https://vitawallet.io
    email: empresas@vitawallet.io
servers:
  - url: https://api.vitawallet.io
    description: Production
  - url: https://api.stage.vitawallet.io
    description: Sandbox
security:
  - xLogin: []
    xTransKey: []
    xDate: []
    hmacSignature: []
tags:
  - name: Create Payin
  - name: Direct Payment
  - name: Exchange
  - name: Vita Sent
  - name: Bank Payouts
  - name: External Crypto Payouts
  - name: Transactions
  - name: Users Creation
  - name: User Information
  - name: Webhooks
externalDocs:
  url: https://vitawallet.io
  description: Vita Wallet
paths:
  /api/businesses/vita_users:
    get:
      tags:
        - User Information
      summary: User
      description: >-
        VITA provides this module to check if there is a registered user on Vita
        Wallet with a specific email address. Additionally, it allows you to
        know the status of the user and whether they can receive money or not.
      operationId: user
      parameters:
        - name: email
          in: query
          schema:
            type: string
          description: User email
          example: my_user@vitawallet.io
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              examples:
                UserFound:
                  summary: User found
                  value:
                    vita_user:
                      id: 1973
                      type: vita_user
                      attributes:
                        email: real_user@vitawallet.io
                        default_currency: usd
                        profile_verification: initial
                        is_received: true
                        status: active
                        country_iso_code: US
                        currencies:
                          - cop
                UserBanned:
                  summary: User banned
                  value:
                    vita_user:
                      id: 1973
                      type: vita_user
                      attributes:
                        email: real_user@vitawallet.io
                        default_currency: usd
                        profile_verification: initial
                        is_received: false
                        status: banned
                        country_iso_code: US
                        currencies:
                          - cop
        '422':
          description: Response.
          content:
            application/json:
              example:
                error:
                  code: 404
                  message: Vita user was not found
components:
  securitySchemes:
    xLogin:
      type: apiKey
      in: header
      name: x-login
      description: Business xLogin
    xTransKey:
      type: apiKey
      in: header
      name: x-trans-key
      description: Business xTransKey
    xDate:
      type: apiKey
      in: header
      name: x-date
      description: ISO8601 datetime
    hmacSignature:
      type: apiKey
      in: header
      name: Authorization
      description: 'V2-HMAC-SHA256 signature. Example: `V2-HMAC-SHA256, Signature: <hash>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.